clang 10.0.0git

Macros | Functions
enqcmdintrin.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | _DEFAULT_FN_ATTRS __attribute__((__always_inline__, __nodebug__, __target__("enqcmd")))

## Functions
static __inline__ int _DEFAULT_FN_ATTRS | _enqcmd (void *__dst, const void *__src)
| Reads 64-byte command pointed by __src, formats 64-byte enqueue store data, and performs 64-byte enqueue store to memory pointed by __dst. More...
static __inline__ int _DEFAULT_FN_ATTRS | _enqcmds (void *__dst, const void *__src)
| Reads 64-byte command pointed by __src, formats 64-byte enqueue store data, and performs 64-byte enqueue store to memory pointed by __dst This intrinsic may only be used in Privileged mode. More...

## Macro Definition Documentation

## ◆ _DEFAULT_FN_ATTRS

#define _DEFAULT_FN_ATTRS __attribute__((__always_inline__, __nodebug__, __target__("enqcmd")))

Definition at line 18 of file enqcmdintrin.h.

Referenced by _enqcmd().

## Function Documentation

## ◆ _enqcmd()

static __inline__ int _DEFAULT_FN_ATTRS _enqcmd | ( | void * | __dst,
|  | const void * | __src
| ) |  |
| static

Reads 64-byte command pointed by __src, formats 64-byte enqueue store data, and performs 64-byte enqueue store to memory pointed by __dst.

This intrinsics may only be used in User mode.

This intrinsics corresponds to the `ENQCMD` instruction.

Parameters

  __dst | Pointer to the destination of the enqueue store.
  __src | Pointer to 64-byte command data.

Returns
  If the command data is successfully written to __dst then 0 is returned. Otherwise 1 is returned.

Definition at line 36 of file enqcmdintrin.h.

References _DEFAULT_FN_ATTRS.

## ◆ _enqcmds()

static __inline__ int _DEFAULT_FN_ATTRS _enqcmds | ( | void * | __dst,
|  | const void * | __src
| ) |  |
| static

Reads 64-byte command pointed by __src, formats 64-byte enqueue store data, and performs 64-byte enqueue store to memory pointed by __dst This intrinsic may only be used in Privileged mode.

This intrinsics corresponds to the `ENQCMDS` instruction.

Parameters

  __dst | Pointer to the destination of the enqueue store.
  __src | Pointer to 64-byte command data.

Returns
  If the command data is successfully written to __dst then 0 is returned. Otherwise 1 is returned.

Definition at line 56 of file enqcmdintrin.h.